Множественные уязвимости в NPDS

Дата публикации:
12.01.2009
Дата изменения:
12.01.2009
Всего просмотров:
1545
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NPDS 5.x
Уязвимые версии: NPDS версии до 5.10 08.06

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "theme" в сценарии themes/npds2004/footer.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "Default_Theme" в сценарии footer.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе.

URL производителя: www.npds.org

Решение: Установите последнюю версию 5.10 08.06 с сайта производителя.

или введите имя

CAPTCHA